mergeBangs.BigBang {galgo} | R Documentation

## Merges the information from other BigBang objects

### Description

Merges the information from other BigBang objects. It is assumed that all `BigBang` objects compute the same results, thus they are “mergeable”. Possibly from parallelization.

### Usage

    ## S3 method for class 'BigBang'
    mergeBangs(mb,  ..., from=NULL, to=NULL, detect.duplicates=TRUE, clone=FALSE)

### Arguments

`...` | List of `BigBang` objects.
`clone` | Logical. Specify if the original object must be cloned before merging.

### Value

Returns nothing. However, the original `BigBang` object has been modified adding the others `BigBang` objects.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`.

### Examples

    ## Not run:
       #bb, bbmachine2, bbmachine3 are BigBang objects
       bb
       plot(bb)
       mergeBangs(bb, bbmachine2, bbmachine3)
       bb       # accumulated solutions
       plot(bb) # accumulated solutions

    ## End(Not run)

[Package galgo version 1.4 Index]